FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by vim.
Your IP: 44.192.44.30

cups 8a182d28-b0ec-44a8-b6c3-2faf2c924b25

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/ac/ppc/FAIL/cups,8a182d28-b0ec-44a8-b6c3-2faf2c924b25.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2015/02/01 20:39:12
Runtime:0:01:20.757761

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMP=/home/services/builder/tmp TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp /bin/sh -e /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.74474
  • build
  • Executing(%build): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMP=/home/services/builder/tmp TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp /bin/sh -e /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.62866
  • error 3
  • configure: error: in `/home/services/builder/rpm/BUILD/cups/cups-1.3.10':
  • error 4
  • configure: error: C compiler cannot create executables
  • error 5
  • error: Bad exit status from /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.62866 (%build)
  • error 6
  • RPM build errors:
  • error 7
  • error: No files produced.

Content:

checking if we should skip the build
started at: Sun Feb  1 21:34:25 2015
fetching http://src.ac.pld-linux.org/~buildsrc//srpms/8a182d28-b0ec-44a8-b6c3-2faf2c924b25/cups-1.3.10-2.src.rpm
fetched 3753061 bytes, 634.3 K/s
installing srpm: cups-1.3.10-2.src.rpm
Can't find java virtual machine, aborting.
+ install -d rpm/packages/cups rpm/BUILD/cups
+ rpm -Uhv --define '_topdir %(echo $HOME/rpm)' --define '_specdir %{_topdir}/packages/%{name}' --define '_sourcedir %{_specdir}' --define '_builddir %{_topdir}/BUILD/%{name}' cups-1.3.10-2.src.rpm
warning: cups-1.3.10-2.src.rpm: Header V4 DSA signature: NOKEY, key ID 163188c5
cups                        ##################################################
+ rm -f cups-1.3.10-2.src.rpm
Can't find java virtual machine, aborting.
+ TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp
+ exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir %(echo $HOME/rpm)' --define '_specdir %{_topdir}/packages/%{name}' --define '_sourcedir %{_specdir}' --define '_builddir %{_topdir}/BUILD/%{name}' --target ppc-pld-linux --define 'prep exit 0' rpm/packages/cups/cups.spec
Building target platforms: ppc-pld-linux
checking BuildConflict-ing packages
no BuildConflicts found
checking BR
rpm: error: Failed build dependencies:
rpm: 	avahi-compat-libdns_sd-devel is needed by cups-1.3.10-2.src
rpm: 	dbus-devel is needed by cups-1.3.10-2.src
rpm: 	php-devel >= 4:5.0.0 is needed by cups-1.3.10-2.src
rpm: 	pkgconfig is needed by cups-1.3.10-2.src
rpm: 	rpm-perlprov is needed by cups-1.3.10-2.src
rpm: Building target platforms: ppc-pld-linux
updating poldek cache...
Can't find java virtual machine, aborting.

Retrieving ac-main::packages.ndir.md...
ac-main is up to date

Retrieving ac-updates::packages.ndir.md...
ac-updates is up to date

Retrieving okas::packages.ndir.md...
okas is up to date
checking conflicting packages in BRed packages
poldek: Loading [pndir]okas...
poldek: Loading [dir]ready...
poldek: Loading [pndir]ac-main...
poldek: Loading [pndir]ac-updates...
poldek: 19298 packages read
poldek: Removed 4240 duplicate packages from available set
poldek: Processing dependencies...
poldek: avahi-compat-libdns_sd-devel-0.6.20-7 marks avahi-devel-0.6.20-7 (cap avahi-devel = 0.6.20-7)
poldek: pkgconfig-0.26-4 marks glib2-2.16.1-3 (cap glib2)
poldek: php-devel-5.2.17-20130717.8 marks php-common-5.2.17-20130717.8 (cap php-common = 4:5.2.17-20130717.8)
poldek:  php-common-5.2.17-20130717.8 marks php-pcre-5.2.17-20130717.8 (cap php-pcre = 4:5.2.17-20130717.8)
poldek:  php-common-5.2.17-20130717.8 marks php-session-5.2.17-20130717.8 (cap php-session = 4:5.2.17-20130717.8)
poldek:  php-common-5.2.17-20130717.8 marks php-spl-5.2.17-20130717.8 (cap php-spl = 4:5.2.17-20130717.8)
poldek:   php-spl-5.2.17-20130717.8 marks php-simplexml-5.2.17-20130717.8 (cap php-simplexml = 4:5.2.17-20130717.8)
poldek: rpm-perlprov-4.5-70 marks perl-devel-5.8.8-13 (cap perl-devel)
poldek:  perl-devel-5.8.8-13 marks perl-tools-pod-5.8.8-13 (cap perl-tools-pod = 1:5.8.8-13)
poldek: There are 14 packages to install (9 marked by dependencies):
poldek: I avahi-compat-libdns_sd-devel-0.6.20-7  dbus-devel-0.62-7
poldek: I php-devel-5.2.17-20130717.8  pkgconfig-0.26-4  rpm-perlprov-4.5-70
poldek: D avahi-devel-0.6.20-7  glib2-2.16.1-3  perl-devel-5.8.8-13
poldek: D perl-tools-pod-5.8.8-13  php-common-5.2.17-20130717.8
poldek: D php-pcre-5.2.17-20130717.8  php-session-5.2.17-20130717.8
poldek: D php-simplexml-5.2.17-20130717.8  php-spl-5.2.17-20130717.8
poldek: This operation will use 13.5MB of disk space.
poldek: Need to get 3.6MB of archives (3.1MB to download).
poldek: 
poldek: Retrieving [1/10] ac-updates::glib2-2.16.1-3.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [2/10] ac-updates::perl-tools-pod-5.8.8-13.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [3/10] ac-updates::perl-devel-5.8.8-13.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [4/10] ac-updates::php-pcre-5.2.17-20130717.8.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [5/10] ac-updates::php-session-5.2.17-20130717.8.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [6/10] ac-updates::php-simplexml-5.2.17-20130717.8.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [7/10] ac-updates::php-spl-5.2.17-20130717.8.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [8/10] ac-updates::php-common-5.2.17-20130717.8.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [9/10] ac-updates::pkgconfig-0.26-4.ppc.rpm...
poldek: ..............................done
poldek: Retrieving [10/10] ac-updates::rpm-perlprov-4.5-70.ppc.rpm...
poldek: ..............................done
poldek: Executing rpm --upgrade -vh --test --root / --define _check_dirname_deps 0...
poldek: Preparing...                ##################################################
no conflicts found
checking BR
rpm: error: Failed build dependencies:
rpm: 	avahi-compat-libdns_sd-devel is needed by cups-1.3.10-2.src
rpm: 	dbus-devel is needed by cups-1.3.10-2.src
rpm: 	php-devel >= 4:5.0.0 is needed by cups-1.3.10-2.src
rpm: 	pkgconfig is needed by cups-1.3.10-2.src
rpm: 	rpm-perlprov is needed by cups-1.3.10-2.src
rpm: Building target platforms: ppc-pld-linux
installing BR: php\-devel avahi\-compat\-libdns\_sd\-devel dbus\-devel rpm\-perlprov pkgconfig
Can't find java virtual machine, aborting.
Loading [pndir]okas...
Loading [dir]ready...
Loading [pndir]ac-main...
Loading [pndir]ac-updates...
19298 packages read
Removed 4240 duplicate packages from available set
Processing dependencies...
There are 1 package to install:
I dbus-devel-0.62-7
This operation will use 437.8KB of disk space.
Need to get 79.2KB of archives. 
Executing rpm --upgrade -vh --root / --define _check_dirname_deps 0...
Preparing...                ##################################################
dbus-devel                  ##################################################
Installing set #2
Processing dependencies...
avahi-compat-libdns_sd-devel-0.6.20-7 marks avahi-devel-0.6.20-7 (cap avahi-devel = 0.6.20-7)
There are 2 packages to install (1 marked by dependencies):
I avahi-compat-libdns_sd-devel-0.6.20-7
D avahi-devel-0.6.20-7
This operation will use 203.7KB of disk space.
Need to get 56.5KB of archives. 
Executing rpm --upgrade -vh --root / --define _check_dirname_deps 0...
Preparing...                ##################################################
avahi-devel                 ##################################################
avahi-compat-libdns_sd-devel##################################################
Installing set #3
Processing dependencies...
pkgconfig-0.26-4 marks glib2-2.16.1-3 (cap glib2)
There are 2 packages to install (1 marked by dependencies):
I pkgconfig-0.26-4
D glib2-2.16.1-3
This operation will use 3.9MB of disk space.
Need to get 1004.8KB of archives. 
Executing rpm --upgrade -vh --root / --define _check_dirname_deps 0...
Preparing...                ##################################################
glib2                       ##################################################
pkgconfig                   ##################################################
Installing set #4
Processing dependencies...
php-devel-5.2.17-20130717.8 marks php-common-5.2.17-20130717.8 (cap php-common = 4:5.2.17-20130717.8)
 php-common-5.2.17-20130717.8 marks php-pcre-5.2.17-20130717.8 (cap php-pcre = 4:5.2.17-20130717.8)
 php-common-5.2.17-20130717.8 marks php-session-5.2.17-20130717.8 (cap php-session = 4:5.2.17-20130717.8)
 php-common-5.2.17-20130717.8 marks php-spl-5.2.17-20130717.8 (cap php-spl = 4:5.2.17-20130717.8)
  php-spl-5.2.17-20130717.8 marks php-simplexml-5.2.17-20130717.8 (cap php-simplexml = 4:5.2.17-20130717.8)
There are 6 packages to install (5 marked by dependencies):
I php-devel-5.2.17-20130717.8
D php-common-5.2.17-20130717.8  php-pcre-5.2.17-20130717.8  
D php-session-5.2.17-20130717.8  php-simplexml-5.2.17-20130717.8  
D php-spl-5.2.17-20130717.8
This operation will use 5.5MB of disk space.
Need to get 1.5MB of archives. 
Executing rpm --upgrade -vh --root / --define _check_dirname_deps 0...
Preparing...                ##################################################
php-common                  ##################################################
php-devel                   ##################################################
php-pcre                    ##################################################
php-spl                     ##################################################
php-session                 ##################################################
php-simplexml               ##################################################
Installing set #5
Processing dependencies...
rpm-perlprov-4.5-70 marks perl-devel-5.8.8-13 (cap perl-devel)
 perl-devel-5.8.8-13 marks perl-tools-pod-5.8.8-13 (cap perl-tools-pod = 1:5.8.8-13)
There are 3 packages to install (2 marked by dependencies):
I rpm-perlprov-4.5-70
D perl-devel-5.8.8-13  perl-tools-pod-5.8.8-13
This operation will use 3.4MB of disk space.
Need to get 1.1MB of archives. 
Executing rpm --upgrade -vh --root / --define _check_dirname_deps 0...
Preparing...                ##################################################
perl-tools-pod              ##################################################
perl-devel                  ##################################################
rpm-perlprov                ##################################################
building RPM using: set -ex; : build-id: 8a182d28-b0ec-44a8-b6c3-2faf2c924b25; TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j1' --define '_topdir %(echo $HOME/rpm)' --define '_specdir %{_topdir}/packages/%{name}' --define '_sourcedir %{_specdir}' --define '_builddir %{_topdir}/BUILD/%{name}'  --target ppc-pld-linux rpm/packages/cups/cups.spec
Can't find java virtual machine, aborting.
+ : build-id: 8a182d28-b0ec-44a8-b6c3-2faf2c924b25
+ TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp
+ exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j1' --define '_topdir %(echo $HOME/rpm)' --define '_specdir %{_topdir}/packages/%{name}' --define '_sourcedir %{_specdir}' --define '_builddir %{_topdir}/BUILD/%{name}' --target ppc-pld-linux rpm/packages/cups/cups.spec
Building target platforms: ppc-pld-linux
Executing(%prep): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMP=/home/services/builder/tmp TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp  /bin/sh -e /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.74474
+ umask 022
+ cd /home/services/builder/rpm/BUILD/cups
+ cd /home/services/builder/rpm/BUILD/cups
+ rm -rf cups-1.3.10
+ /usr/bin/bzip2 -dc /home/services/builder/rpm/packages/cups/cups-1.3.10-source.tar.bz2
+ tar -xf -
+ STATUS=0
+ [ 0 -ne 0 ]
+ cd cups-1.3.10
+ /bin/id -u
+ [ 182 = 0 ]
+ true .
+ /bin/chmod -Rf -Rf a+rX,u+w,g-w,o-w .
+ echo Patch #0 (cups-config.patch):
Patch #0 (cups-config.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-config.patch 
+ echo Patch #1 (cups-lp-lpr.patch):
Patch #1 (cups-lp-lpr.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-lp-lpr.patch 
+ echo Patch #2 (cups-options.patch):
Patch #2 (cups-options.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-options.patch 
+ echo Patch #3 (cups-man_pages_linking.patch):
Patch #3 (cups-man_pages_linking.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-man_pages_linking.patch 
+ echo Patch #4 (cups-nostrip.patch):
Patch #4 (cups-nostrip.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-nostrip.patch 
+ echo Patch #5 (cups-certs_FHS.patch):
Patch #5 (cups-certs_FHS.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-certs_FHS.patch 
+ echo Patch #6 (cups-direct_usb.patch):
Patch #6 (cups-direct_usb.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-direct_usb.patch 
+ echo Patch #7 (cups-no-polluted-krb5config.patch):
Patch #7 (cups-no-polluted-krb5config.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-no-polluted-krb5config.patch 
+ echo Patch #8 (cups-java-fix.patch):
Patch #8 (cups-java-fix.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-java-fix.patch 
+ echo Patch #9 (cups-verbose-compilation.patch):
Patch #9 (cups-verbose-compilation.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-verbose-compilation.patch 
+ echo Patch #10 (cups-peercred.patch):
Patch #10 (cups-peercred.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-peercred.patch 
+ echo Patch #11 (cups-translate.patch):
Patch #11 (cups-translate.patch):
+ patch -p1 -s
+ < /home/services/builder/rpm/packages/cups/cups-translate.patch 
+ exit 0
Executing(%build): env -i PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin HOME=/home/services/builder TMP=/home/services/builder/tmp TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp  /bin/sh -e /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.62866
PATH=/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/home/services/builder/bin
HOME=/home/services/builder
TMP=/home/services/builder/tmp
TMPDIR=/home/services/builder/rpm/BUILD/cups/tmp
+ umask 022
+ cd /home/services/builder/rpm/BUILD/cups
+ cd cups-1.3.10
+ aclocal -I config-scripts
+ autoconf
+ ./configure LDFLAGS=-Wl,--as-needed  CFLAGS=-O2 -fsigned-char  CXXFLAGS=-O2 -fsigned-char  FFLAGS=-O2 -fsigned-char  FCFLAGS=-O2 -fsigned-char  CPPFLAGS= CC=ppc-pld-linux-gcc CXX=ppc-pld-linux-g++ --host=ppc-pld-linux --build=ppc-pld-linux --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/lib --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --x-libraries=/usr/X11R6/lib --libdir=/usr/lib --disable-cdsassl --enable-dbus --enable-shared --enable-ssl --enable-dnssd --disable-gnutls --enable-openssl --enable-static --with-cups-user=lp --with-cups-group=lp --with-system-groups=sys --with-printcap=/etc/printcap --with-dbusdir=/etc/dbus-1 --with-docdir=/usr/lib/cups/cgi-bin --with-config-file-perm=0640 --with-log-file-perm=0640 --with-optim=-Wno-format-y2k --with-dnssd-libs=x --with-dnssd-includes=x --with-perl --with-php --with-python
checking for mawk... mawk
checking for ppc-pld-linux-gcc... ppc-pld-linux-gcc
checking whether the C compiler works... no
configure: error: in `/home/services/builder/rpm/BUILD/cups/cups-1.3.10':
configure: error: C compiler cannot create executables
See `config.log' for more details
error: Bad exit status from /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.62866 (%build)


RPM build errors:
    Bad exit status from /home/services/builder/rpm/BUILD/cups/tmp/rpm-tmp.62866 (%build)
ended at: Sun Feb  1 21:38:57 2015, done in 0:01:20.757761
error: No files produced.
Can't find java virtual machine, aborting.
+ rpmbuild --define '_topdir %(echo $HOME/rpm)' --define '_specdir %{_topdir}/packages/%{name}' --define '_sourcedir %{_specdir}' --define '_builddir %{_topdir}/BUILD/%{name}' --target ppc-pld-linux --nodeps --nobuild --clean --rmspec --rmsource rpm/packages/cups/cups.spec
Building target platforms: ppc-pld-linux
+ rm -rf /home/services/builder/rpm/BUILD/cups/tmp
+ chmod -R u+rwX rpm/BUILD/cups
+ rm -rf rpm/BUILD/cups
Begin-PLD-Builder-Info
Build-Time: user:172.65s sys:79.99s real:287.14s (faults io:53 non-io:569217)

End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]